# Get products with variants, binding attributes and variants list

```graphql
query {
  productStream (first:10, after:"") {
    pageInfo {
      hasNextPage
      endCursor
    }
    edges {
      node {
        ... on VariableProduct {
          sku
          bindings {
            code
            __typename
          }
          variantList {
            edges {
              node {
                sku
              }
            }
          }
        }
      }
    }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ergonode.com/graphql/query-examples/get-products-with-variants-binding-attributes-and-variants-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
